Bug 55132 - g77 internal error for exit(%val)
Summary: g77 internal error for exit(%val)
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: gcc (Show other bugs)
(Show other bugs)
Version: 7.1
Hardware: i686 Linux
medium
medium
Target Milestone: ---
Assignee: Jakub Jelinek
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-10-26 00:05 UTC by Jay W Parker
Modified: 2007-04-18 16:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-12-15 18:00:51 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Jay W Parker 2001-10-26 00:05:37 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.7 (Macintosh; I; PPC)

Description of problem:
Trivial program trying "call exit(%val(zero))" (admittedly a strange thing to try) generates gcc-g77 internal 
error. Like this:
>cat tmp2.f
      program tmp
c checks exit status flag connection
      implicit none
      integer *8  zero
      parameter (zero = 0)
      call exit(%val(zero))
      end
> g77 -c -fno-underscoring tmp2.f
../../../gcc/f/com.c:3863: failed assertion `"bad op" == NULL'
tmp2.f: In program `tmp':
tmp2.f:6: Internal error: Aborted.


Version-Release number of selected component (if applicable):
Name        : gcc-g77                      Relocations: (not relocateable)
Version     : 2.96                              Vendor: Red Hat, Inc.
Release     : 85                            Build Date: Wed 09 May 2001 11:04:50 AM PDT
Install date: Wed 11 Jul 2001 10:08:28 PM PDT      Build Host: porky.devel.redhat.com
Group       : Development/Languages         Source RPM: gcc-2.96-85.src.rpm
Size        : 4071462                          License: GPL
Packager    : Red Hat, Inc. <http://bugzilla.redhat.com/bugzilla>


How reproducible:
Always

Steps to Reproduce:
1.g77 -c -fno-underscoring tmp2.f (see above for tmp2.f)
2.
3.
	

Actual Results:  g77 -c -fno-underscoring tmp2.f
../../../gcc/f/com.c:3863: failed assertion `"bad op" == NULL'
tmp2.f: In program `tmp':
tmp2.f:6: Internal error: Aborted.
Please submit a full bug report.
See <URL:http://bugzilla.redhat.com/bugzilla/> for instructions.


Expected Results:  tmp2.o

Additional info:

Comment 1 Jakub Jelinek 2001-10-29 11:23:13 UTC
Actually, any g77 will fail this way. Not being a Fortran speaker, I passed this
on to GCC Fortran maintainer.

Comment 2 Alan Cox 2002-12-15 18:00:51 UTC
Fixed for 3.2

tmp2.f: In program `tmp':
tmp2.f:6:
         call exit(%val(zero))
              ^
Too many arguments passed to intrinsic `EXIT' at (^)



Note You need to log in before you can comment on or make changes to this bug.